<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>DocumentNode (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DocumentNode (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DocumentNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/DocumentInputStream.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/DocumentOutputStream.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/DocumentNode.html"
               target="_top">Frames</a></li>
        <li><a href="DocumentNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.filesystem</div>
    <h2 title="Class DocumentNode" class="title">Class DocumentNode</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
                       title="class in org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem.EntryNode</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.poifs.filesystem.DocumentNode</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                           title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>, <a
                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                            title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>, <a
                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                            title="interface in org.apache.poi.poifs.filesystem">Entry</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">DocumentNode</span>
extends <a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
           title="class in org.apache.poi.poifs.filesystem">EntryNode</a>
implements <a href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
              title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a>, <a
                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                            title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></pre>
                <div class="block">Simple implementation of DocumentEntry for OPOIFS</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html#getShortDescription--">getShortDescription</a></span>()</code>
                                    <div class="block">Provides a short description of the object, to be used when a
                                        POIFSViewable object has not provided its contents.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html#getSize--">getSize</a></span>()</code>
                                    <div class="block">get the zize of the document, in bytes</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Object[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html#getViewableArray--">getViewableArray</a></span>()</code>
                                    <div class="block">Get an array of objects, some of which may implement
                                        POIFSViewable
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;java.lang.Object&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html#getViewableIterator--">getViewableIterator</a></span>()</code>
                                    <div class="block">Get an Iterator of objects, some of which may implement
                                        POIFSViewable
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html#isDeleteOK--">isDeleteOK</a></span>()</code>
                                    <div class="block">extensions use this method to verify internal rules regarding
                                        deletion of the underlying store.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html#isDocumentEntry--">isDocumentEntry</a></span>()</code>
                                    <div class="block">is this a DocumentEntry?</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/filesystem/DocumentNode.html#preferArray--">preferArray</a></span>()</code>
                                    <div class="block">Give viewers a hint as to whether to call getViewableArray or
                                        getViewableIterator
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.poifs.filesystem.EntryNode">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.poifs.filesystem.<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
                                        title="class in org.apache.poi.poifs.filesystem">EntryNode</a></h3>
                                <code><a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#delete--">delete</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#getName--">getName</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#getProperty--">getProperty</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isDirectoryEntry--">isDirectoryEntry</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isRoot--">isRoot</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#renameTo-java.lang.String-">renameTo</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.poifs.filesystem.Entry">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.poifs.filesystem.<a
                                        href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                        title="interface in org.apache.poi.poifs.filesystem">Entry</a></h3>
                                <code><a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#delete--">delete</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getName--">getName</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDirectoryEntry--">isDirectoryEntry</a>,
                                    <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#renameTo-java.lang.String-">renameTo</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSize</h4>
                                <pre>public&nbsp;int&nbsp;getSize()</pre>
                                <div class="block">get the zize of the document, in bytes</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html#getSize--">getSize</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/DocumentEntry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">DocumentEntry</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>size in bytes</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDocumentEntry--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDocumentEntry</h4>
                                <pre>public&nbsp;boolean&nbsp;isDocumentEntry()</pre>
                                <div class="block">is this a DocumentEntry?</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/Entry.html#isDocumentEntry--">isDocumentEntry</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                                title="interface in org.apache.poi.poifs.filesystem">Entry</a></code>
                                    </dd>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isDocumentEntry--">isDocumentEntry</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
                                                title="class in org.apache.poi.poifs.filesystem">EntryNode</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if the Entry is a DocumentEntry, else false</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isDeleteOK--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isDeleteOK</h4>
                                <pre>protected&nbsp;boolean&nbsp;isDeleteOK()</pre>
                                <div class="block">extensions use this method to verify internal rules regarding
                                    deletion of the underlying store.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html#isDeleteOK--">isDeleteOK</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/filesystem/EntryNode.html"
                                                title="class in org.apache.poi.poifs.filesystem">EntryNode</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if it's ok to delete the underlying store, else
                                        false
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getViewableArray--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getViewableArray</h4>
                                <pre>public&nbsp;java.lang.Object[]&nbsp;getViewableArray()</pre>
                                <div class="block">Get an array of objects, some of which may implement
                                    POIFSViewable
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#getViewableArray--">getViewableArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array of Object; may not be null, but may be empty</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getViewableIterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getViewableIterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;java.lang.Object&gt;&nbsp;getViewableIterator()</pre>
                                <div class="block">Get an Iterator of objects, some of which may implement
                                    POIFSViewable
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#getViewableIterator--">getViewableIterator</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an Iterator; may not be null, but may have an empty
                                        back end store
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="preferArray--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>preferArray</h4>
                                <pre>public&nbsp;boolean&nbsp;preferArray()</pre>
                                <div class="block">Give viewers a hint as to whether to call getViewableArray or
                                    getViewableIterator
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#preferArray--">preferArray</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>true if a viewer should call getViewableArray, false if
                                        a viewer should call getViewableIterator
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getShortDescription--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getShortDescription</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getShortDescription()</pre>
                                <div class="block">Provides a short description of the object, to be used when a
                                    POIFSViewable object has not provided its contents.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html#getShortDescription--">getShortDescription</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                                                title="interface in org.apache.poi.poifs.dev">POIFSViewable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>short description</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/DocumentNode.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/DocumentInputStream.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../org/apache/poi/poifs/filesystem/DocumentOutputStream.html"
               title="class in org.apache.poi.poifs.filesystem"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/filesystem/DocumentNode.html"
               target="_top">Frames</a></li>
        <li><a href="DocumentNode.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
